# Update CPU and memory requests for a database Source: https://docs.orchard.hackclub.com/api/operations/databases_resources_update/ `PATCH /apiv1/databases/{id}/resources` Operation ID: `databases_resources_update` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Request body ```json { "properties": { "cpuRequestMilli": { "exclusiveMinimum": 0, "type": [ "integer", "null" ] }, "memoryRequestBytes": { "exclusiveMinimum": 0, "type": [ "integer", "null" ] } }, "type": "object" } ``` ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "backupScheduleCron": { "type": [ "string", "null" ] }, "clusterName": { "type": [ "string", "null" ] }, "containerName": { "type": [ "string", "null" ] }, "cpuRequestMilli": { "type": [ "number", "null" ] }, "createdAt": { "type": "string" }, "createdBy": { "type": [ "string", "null" ] }, "creator": { "additionalProperties": {}, "properties": { "email": { "type": [ "string", "null" ] }, "firstName": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "lastName": { "type": [ "string", "null" ] }, "username": { "type": [ "string", "null" ] } }, "required": [ "id" ], "type": [ "object", "null" ] }, "dbName": { "type": "string" }, "dbPassword": { "type": [ "string", "null" ] }, "dbUser": { "type": "string" }, "environmentId": { "type": [ "string", "null" ] }, "host": { "type": "string" }, "id": { "type": "string" }, "importBoosted": { "type": "boolean" }, "installedExtensions": {}, "liveStatus": { "additionalProperties": {}, "properties": { "conditions": { "items": { "additionalProperties": {}, "properties": {}, "type": "object" }, "type": "array" }, "connections": { "type": "number" }, "currentPrimary": { "type": "string" }, "exists": { "type": "boolean" }, "lastTerminationAt": { "type": "string" }, "lastTerminationExitCode": { "type": "number" }, "lastTerminationReason": { "type": "string" }, "message": { "type": "string" }, "phase": { "type": "string" }, "ready": { "type": "boolean" }, "readyReplicas": { "type": "number" }, "replicas": { "type": "number" }, "restartCount": { "type": "number" }, "size": { "type": "string" } }, "type": "object" }, "memoryRequestBytes": { "anyOf": [ { "type": "string" }, { "type": "number" }, { "type": "null" } ] }, "mode": { "type": "string" }, "name": { "type": "string" }, "namespace": { "type": [ "string", "null" ] }, "pgParameters": { "additionalProperties": { "type": "string" }, "type": [ "object", "null" ] }, "port": { "type": "number" }, "projectId": { "type": "string" }, "publicEnabled": { "type": "boolean" }, "publicIp": { "type": [ "string", "null" ] }, "publicPort": { "type": [ "number", "null" ] }, "r2ProxyAccessKey": { "type": [ "string", "null" ] }, "r2ProxySecret": { "type": [ "string", "null" ] }, "sharedPreloadLibs": { "items": { "type": "string" }, "type": [ "array", "null" ] }, "status": { "type": "string" }, "storageSize": { "type": [ "string", "null" ] }, "templateInstanceId": { "type": [ "string", "null" ] }, "updatedAt": { "type": "string" } }, "required": [ "id", "projectId", "name", "dbName", "dbUser", "dbPassword", "status", "host", "port", "mode", "importBoosted", "publicEnabled", "createdAt", "updatedAt" ], "type": "object" } ```